Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -2841,8 +4751,35 @@
                     "This object displays the current remote ID of the device.
                     If swDHCPRelayOption82RemoteIDType is set to default, the value will be the MAC address of the device,
                     and this object cannot be modified.
-                    If swDHCPRelayOption82RemoteIDType is set to user-defined, a new value can be written to this object."
+                    If swDHCPRelayOption82RemoteIDType is set to user-defined or user-defined-hex, a new value can be written to this object."
             ::= { dhcpBOOTPRelayManagementOption82 5 }
+
+            
+            
+	        dhcpBOOTPRelayOption82CircuitIDType OBJECT-TYPE
+                SYNTAX  INTEGER {
+                    default(1),
+                    userdefined(2),
+                    userdefinedhex(3)
+                }
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                    "This object indicates the type of remote ID.
+                    If the type is default, the circuit ID will be blank, otherwise,
+                    the circuit ID can be defined by writing to the dhcpBOOTPRelayOption82CircuitID object."
+            ::= { dhcpBOOTPRelayManagementOption82 7 }
+
+	        dhcpBOOTPRelayOption82CircuitID OBJECT-TYPE
+                SYNTAX  DisplayString
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                    "This object displays the current remote ID of the device.
+                    If dhcpBOOTPRelayOption82CircuitIDType is set to default, the value will be the MAC address of the device,
+                    and this object cannot be modified.
+                    If dhcpBOOTPRelayOption82CircuitIDType is set to user-defined or user-defined-hex, a new value can be written to this object."
+            ::= { dhcpBOOTPRelayManagementOption82 8 }
   		-- ----------------------------------------------------------
 		-- The DHCP LocalRelay
 		-- ----------------------------------------------------------
@@ -2893,7 +4830,7 @@
 
             dhcpLocalRelaySettingsState OBJECT-TYPE
                 SYNTAX  INTEGER {
-                    enabled(3),
+                    enabled(1),
                     disabled(2)
                 }
                 MAX-ACCESS  read-write
@@ -2901,6 +4838,14 @@
                 DESCRIPTION
                     "This object indicates DHCP local relay function of VLAN is enabled or disabled."
             ::= { dhcpLocalRelayTableEntry 2 }
+            
+            dhcpLocalRelayEnablePortlist OBJECT-TYPE 
+               SYNTAX      PortList
+               MAX-ACCESS  read-write 
+               STATUS      current 
+               DESCRIPTION 
+                   "This object indicates DHCP local relay function is enabled or disabled by portlist."
+               ::= { companyDHCPLocalRelay 3 }
     -- ---------------------------------------------------------------------
     -- LA Function
     -- ---------------------------------------------------------------------
@@ -2989,6 +4934,8 @@
 	      ,
               laPortChannelMasterPort             InterfaceIndex
 	      -- end CAMEO_LA_MASTER_PORT_WANTED
+          ,
+              laPortChannelActiveMemberPorts    PortList
               }
 
     laPortChannelIfIndex OBJECT-TYPE
@@ -3032,6 +4979,15 @@
         ::= { laPortChannelEntry 4 }
 -- end CAMEO_LA_MASTER_PORT_WANTED
 
+  	laPortChannelActiveMemberPorts OBJECT-TYPE
+	   SYNTAX          PortList
+	   MAX-ACCESS      read-only
+	   STATUS          current
+	   DESCRIPTION
+	       "This object indicates the operational bundled ports in this
+            channel group."	
+	   ::= { laPortChannelEntry 5 }
+
     -- ------------------------------------------------------------------
     -- The La Algorithm Group
     -- ------------------------------------------------------------------
@@ -3137,7 +5093,7 @@
         -- ----------------------------------------------------------------
         -- The STATIC MAC group
         -- ----------------------------------------------------------------
-        
+ staticVlanBaseTable       OBJECT IDENTIFIER ::= { companyStaticMAC 5 }
         staticDisableAutoLearn OBJECT-TYPE
             SYNTAX INTEGER {
                    on(1),
@@ -3190,7 +5146,7 @@
         }
 
         staticVlanID OBJECT-TYPE
-            SYNTAX INTEGER
+            SYNTAX INTEGER (1..4094)
             MAX-ACCESS read-only
             STATUS current
             DESCRIPTION
@@ -3206,11 +5162,12 @@
            ::= { staticEntry 2 }
 
         staticPort OBJECT-TYPE
-            SYNTAX INTEGER
+            SYNTAX INTEGER (1..28)
             MAX-ACCESS read-only
             STATUS current
             DESCRIPTION
-                "The forwarding port of the static MAC entry."
+                "The forwarding port of the static MAC entry.
+                For all machines give maximum port number."
             ::= { staticEntry 3 }
         
         staticStatus OBJECT-TYPE
@@ -3222,12 +5179,165 @@
                  of the rowstatus variables (active, createAndGo, destroy) 
                  are available. The trunk member port can not set up static MAC."
             ::= { staticEntry 4 }
+         autoFdbTable OBJECT-TYPE
+            SYNTAX SEQUENCE OF AutoFdbEntry
+            MAX-ACCESS not-accessible
+            STATUS current
+            DESCRIPTION
+                "A list of the Auto Fdb"
+            ::= { companyStaticMAC 4 }
+            
+         autoFdbEntry OBJECT-TYPE
+           SYNTAX      AutoFdbEntry
+           MAX-ACCESS  not-accessible
+           STATUS      current
+           DESCRIPTION
+            "A auto fdb entry containing the ipaddress"
+           INDEX { autoFdbIPAddress}
+           ::= { autoFdbTable 1 }
+            
+        AutoFdbEntry ::=
+           SEQUENCE {
+              autoFdbIPAddress IpAddress,
+              autoFdbVlanID  Integer32,
+              autoFdbMacAddress MacAddress,
+              autoFdbPort INTEGER,
+              autoFdbTimeStamp  Integer32,
+              autoFdbStatus RowStatus
+          }          
+          
+        autoFdbIPAddress OBJECT-TYPE
+            SYNTAX IpAddress
+            MAX-ACCESS read-only
+            STATUS current
+            DESCRIPTION
+            "The IpAddress of the autoFdbEntry."
+            ::= { autoFdbEntry 1 }
+
+         autoFdbVlanID OBJECT-TYPE
+           SYNTAX Integer32
+           MAX-ACCESS read-only
+           STATUS current
+           DESCRIPTION
+           "The VlanID of the autoFdbEntry."
+           ::= { autoFdbEntry 2 }
+
+        autoFdbMacAddress OBJECT-TYPE
+            SYNTAX MacAddress
+            MAX-ACCESS read-only
+            STATUS current
+            DESCRIPTION
+            "The Mac Address of the autoFdbEntry."
+            ::= { autoFdbEntry 3 }
+   
+           autoFdbPort OBJECT-TYPE
+            SYNTAX INTEGER
+            MAX-ACCESS read-only
+            STATUS current
+            DESCRIPTION
+           "The Port of the autoFdbEntry."
+            ::= { autoFdbEntry 4 }
+            
+            autoFdbTimeStamp OBJECT-TYPE
+            SYNTAX Integer32
+            MAX-ACCESS read-only
+            STATUS current
+            DESCRIPTION
+           "The Time Stamp of the autoFdbEntry."
+            ::= { autoFdbEntry 5 }
+                           
+        autoFdbStatus OBJECT-TYPE
+            SYNTAX     RowStatus
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+                "The status of an entry in the Auto Fdb Table.  Only a subset
+                 of the rowstatus variables (createAndGo, createAndWait,destroy) 
+                 are available."
+            ::= { autoFdbEntry 6 }        
+          staticVlanBaseAutoLearnList1k OBJECT-TYPE
+            SYNTAX     OCTET STRING(SIZE (0..128))
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+            "A string of octets containing one bit per VLAN. The
+            first octet corresponds to VLANs with VlanIndex values
+            1 through 8; the second octet to VLANs 9 through
+            16 etc.  The most significant bit of each octet
+            corresponds to the lowest VlanIndex value in that octet.
+            For each VLAN that is mapped to this Auto Learn,
+            the bit corresponding to that VLAN is set to '1'.
+            Write AutoLearnList1k use 256 character, and conform 
+            to the foregoing rules."
+            ::= { staticVlanBaseTable 1 }
+ 
+           staticVlanBaseAutoLearnList2k OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..128))
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+            "A string of octets containing one bit per VLAN for
+            VLANS with VlanIndex values 1025 through 2048.
+            The most significant bit of each
+            octet corresponds to the lowest VlanIndex value in that
+            octet.
+            For each VLAN that is mapped to this Auto Learn.
+            Write AutoLearnList2k use 256 character, and conform 
+            to the foregoing rules."
+            ::= { staticVlanBaseTable 2 } 
+            
+           staticVlanBaseAutoLearnList3k OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..128))
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+            "A string of octets containing one bit per VLAN for
+            VLANS with VlanIndex values 2049 through 3072.
+            The most significant bit of each
+            octet corresponds to the lowest VlanIndex value in that
+            octet.
+            For each VLAN that is mapped to this  Auto Learn
+            the bit corresponding to that VLAN is set to '1'.
+            Write AutoLearnList3k use 256 character, and conform 
+            to the foregoing rules."
+            ::= { staticVlanBaseTable 3 } 
+ 
+           staticVlanBaseAutoLearnList4k OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..128))
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+            "A string of octets containing one bit per VLAN for
+            VLANS with VlanIndex values 3073 through 4094.
+            The most significant bit of each
+            octet corresponds to the lowest VlanIndex value in that
+            octet.
+            For each VLAN that is mapped to this  Auto Learn
+            the bit corresponding to that VLAN is set to '1'.
+            Write AutoLearnList4k use 256 character, and conform 
+            to the foregoing rules."
+            ::= { staticVlanBaseTable 4 }      
+            
+         staticVlanBaseEnableAutoLearn OBJECT-TYPE
+            SYNTAX OCTET STRING(SIZE (0..512))
+            MAX-ACCESS read-write
+            STATUS current
+            DESCRIPTION
+            "Set enable vlan list to auto learn, and range 1-4094."
+            ::= { staticVlanBaseTable 5 }            
+ 
+           staticVlanBaseDisableAutoLearn OBJECT-TYPE
+            SYNTAX OCTET STRING(SIZE (0..512))
+            MAX-ACCESS read-write
+            STATUS current
+            DESCRIPTION
+            "Set disable vlan list to auto learn, and range 1-4094."
+            ::= { staticVlanBaseTable 6 }                                                                       
     -- ---------------------------------------------------------------------
     -- IGMP Snooping Function
     -- ---------------------------------------------------------------------
 	igsSystem       OBJECT IDENTIFIER ::= { companyIgsGroup 1 }
 	igsVlan         OBJECT IDENTIFIER ::= { companyIgsGroup 3 }
-    igsAccessAuth   OBJECT IDENTIFIER ::= { companyIgsGroup 5 }
 -- start IGMP_SNOOPING_HOST_BASED_FAST_LEAVE
     igsHost         OBJECT IDENTIFIER ::= { companyIgsGroup 6 }
 -- end IGMP_SNOOPING_HOST_BASED_FAST_LEAVE
@@ -3273,60 +5383,6 @@
               be purged from the multicast group." 
           DEFVAL  {260} 
           ::= { igsSystem 3 } 
-            
-      igsRobustnessValue OBJECT-TYPE
-          SYNTAX      Integer32 (2..255)
-          MAX-ACCESS  read-write
-          STATUS      current
-          DESCRIPTION 
-	     "When the switch receives leave message on a port, it
-              sends group specific query to check if there are any other 
-              interested receivers for the group. This attribute defines 
-              the maximum number of queries sent by the switch before deleting 
-              the port from the group membership information in the forwarding 
-              database. If the maximum retry count exceeds 'igsRobustnessValue', 
-              then the port will be deleted from the multicast group membership
-              information in the forwarding database and received leave message
-              will be forwarded onto the router ports if there are no 
-              interested receivers for the group." 
-          DEFVAL  { 2 } 
-          ::= { igsSystem 4 } 
-
-      igsGrpQueryInterval OBJECT-TYPE 
-          SYNTAX      Integer32 (1..25) 
-          MAX-ACCESS  read-write 
-          STATUS      current 
-          DESCRIPTION 
-             "The value of this attribute defines the time period with which 
-              the switch will send group specific queries on a port to check 
-              if there is any intersted receivers. The switch will send 
-              'igsRobustnessValue' queries before removing the port from the 
-              group membership information in the forwarding database."
-          DEFVAL  { 1 }
-          ::= { igsSystem 5 }  
-
-      igsQueryInterval OBJECT-TYPE 
-          SYNTAX      Integer32 (60..600) 
-          MAX-ACCESS  read-write 
-          STATUS      current 
-          DESCRIPTION 
-             "This is the interval (in seconds) for which the switch 
-              sends general queries when it is configured as a querier for 
-              VLANs."   
-          DEFVAL  { 125 } 
-          ::= { igsSystem 6 } 
-
-    igsQueryMaxResponseTime OBJECT-TYPE
-        SYNTAX      INTEGER (10..25)
-		MAX-ACCESS  read-write
-		STATUS      current
-		DESCRIPTION 
-        	"The maximum query response time advertised in IGMPv2 general
-        	queries on this interface."
-        DEFVAL     { 10 }
-        ::= { igsSystem 7 }
-
--- start IGMP_SNOOPING_DATA_DRIVEN_LEARNING
     igsDataDrivenLearningMaxLearnedEntryVlaue OBJECT-TYPE
         SYNTAX      INTEGER (1..1024)
 		MAX-ACCESS  read-write
@@ -3335,8 +5391,19 @@
             "The maximum data driven learning entry value."
         DEFVAL     { 64 }
         ::= { igsSystem 8 }
--- end IGMP_SNOOPING_DATA_DRIVEN_LEARNING
-	        
+
+    igsReportToAllPort OBJECT-TYPE 
+        SYNTAX      INTEGER  { enabled(1), disabled(2) } 
+        MAX-ACCESS  read-write 
+        STATUS      current 
+        DESCRIPTION 
+           "Enables or disables IGMP snooping in the system.
+            When set to 'enabled', the IGS module forwards packets 
+            to report to all port.
+            When set to 'disabled', the IGS module forwards packets 
+            to router port only."
+        DEFVAL  { 2 } 
+        ::= { igsSystem 9 } 
 -- VLAN Based MAC Multicast Forwarding Table 
 -- 
 --      igsVlanMcastMacFwdTable OBJECT-TYPE 
@@ -3467,12 +5534,18 @@
           igsVlanQuerier                INTEGER, 
           igsVlanCfgQuerier             INTEGER, 
           igsVlanQueryInterval          Integer32, 
-          igsVlanRtrPortList            PortList,
-          igsVlanFbdRtrPortList         PortList
+          igsVlanRtrPortList            PortList
+          ,igsVlanFbdRtrPortList         PortList
           , igsVlanFastLeave            INTEGER
--- start IGMP_SNOOPING_DATA_DRIVEN_LEARNING
           , igsVlanDataDrivenLearningStatus INTEGER
--- end IGMP_SNOOPING_DATA_DRIVEN_LEARNING
+          , igsVlanQuerierVersionStatus INTEGER
+          , igsVlanDataDrivenLearningAgeOutStatus INTEGER
+         ,  igsVlanReportSuppression  INTEGER
+        ,   igsVlanRobustnessValue  Integer32
+        ,   igsVlanGrpQueryInterval  Integer32
+        ,   igsVlanQueryMaxResponseTime  INTEGER
+        ,   igsVlanProxyReportingStatus    INTEGER
+        ,   igsVlanProxyReportingSourceIP  IpAddress
           } 
 
       igsVlanFilterVlanId OBJECT-TYPE 
@@ -3512,10 +5585,9 @@
               When set to 'enabled', the switch will generate general queries."
           DEFVAL  { 2 } 
           ::= { igsVlanFilterEntry 4 } 
-
       igsVlanQueryInterval OBJECT-TYPE 
           SYNTAX      Integer32 (60..600) 
-          MAX-ACCESS  read-only 
+          MAX-ACCESS  read-write 
           STATUS      current 
           DESCRIPTION 
              "This is the interval (in seconds) for which the switch 
@@ -3524,7 +5596,6 @@
               only when there is no queriers in the network."   
           DEFVAL  { 125 } 
           ::= { igsVlanFilterEntry 5 } 
-
       igsVlanRtrPortList OBJECT-TYPE 
            SYNTAX      PortList 
            MAX-ACCESS  read-write
@@ -3556,7 +5627,6 @@
            DEFVAL  { 2 }
            ::= { igsVlanFilterEntry 8 }
 
--- start IGMP_SNOOPING_DATA_DRIVEN_LEARNING
         igsVlanDataDrivenLearningStatus OBJECT-TYPE 
             SYNTAX      INTEGER { enabled(1), disabled(2) } 
             MAX-ACCESS  read-write 
@@ -3565,10 +5635,92 @@
                 "This object allows you to enable/disable
                 Data Driven Learning function on a specific VLAN."
             ::= { igsVlanFilterEntry 9 }
--- end IGMP_SNOOPING_DATA_DRIVEN_LEARNING
 
+        igsVlanQuerierVersionStatus OBJECT-TYPE 
+            SYNTAX      INTEGER { igmp-v3(3), igmp-v2(2) } 
+            MAX-ACCESS  read-write 
+            STATUS      current 
+            DESCRIPTION
+                "This object allows you to enable/disable
+                Querier Version function on a specific VLAN."
+            ::= { igsVlanFilterEntry 10 }
+
+        igsVlanDataDrivenLearningAgeOutStatus OBJECT-TYPE 
+            SYNTAX      INTEGER { enabled(1), disabled(2) } 
+            MAX-ACCESS  read-write 
+            STATUS      current 
+            DESCRIPTION
+                "This object allows you to enable/disable
+                Data Driven Learning Age Out State on a specific VLAN."
+            ::= { igsVlanFilterEntry 11 }
+        igsVlanReportSuppression OBJECT-TYPE 
+            SYNTAX      INTEGER  { enabled(1), disabled(2) } 
+            MAX-ACCESS  read-write 
+            STATUS      current 
+            DESCRIPTION 
+               "Enables or disables Report suppression in the system." 
+            ::= { igsVlanFilterEntry 12 } 
+      igsVlanRobustnessValue OBJECT-TYPE
+          SYNTAX      Integer32 (2..255)
+          MAX-ACCESS  read-write
+          STATUS      current
+          DESCRIPTION 
+	     "When the switch receives leave message on a port, it
+              sends group specific query to check if there are any other 
+              interested receivers for the group. This attribute defines 
+              the maximum number of queries sent by the switch before deleting 
+              the port from the group membership information in the forwarding 
+              database. If the maximum retry count exceeds 'igsRobustnessValue', 
+              then the port will be deleted from the multicast group membership
+              information in the forwarding database and received leave message
+              will be forwarded onto the router ports if there are no 
+              interested receivers for the group." 
+          DEFVAL  { 2 } 
+            ::= { igsVlanFilterEntry 13 } 
+
+      igsVlanGrpQueryInterval OBJECT-TYPE 
+          SYNTAX      Integer32 (1..25) 
+          MAX-ACCESS  read-write 
+          STATUS      current 
+          DESCRIPTION 
+             "The value of this attribute defines the time period with which 
+              the switch will send group specific queries on a port to check 
+              if there is any intersted receivers. The switch will send 
+              'igsRobustnessValue' queries before removing the port from the 
+              group membership information in the forwarding database."
+          DEFVAL  { 1 }
+            ::= { igsVlanFilterEntry 14 } 
+
+    igsVlanQueryMaxResponseTime OBJECT-TYPE
+        SYNTAX      INTEGER (10..25)
+		MAX-ACCESS  read-write
+		STATUS      current
+		DESCRIPTION 
+        	"The maximum query response time advertised in IGMPv2 general
+        	queries on this interface."
+        DEFVAL     { 10 }
+            ::= { igsVlanFilterEntry 15 } 
+      igsVlanProxyReportingStatus OBJECT-TYPE 
+          SYNTAX      INTEGER { enabled(1), disabled(2) } 
+          MAX-ACCESS  read-write 
+          STATUS      current 
+          DESCRIPTION 
+            "This indicates the Proxy Reporting State of this VLAN. 
+ 	        When set to enabled, intergrate into multiple IGMP reports or only integrate a single IGMP report for 
+ 	        a specific (S,G) before sending to the router port."
+          DEFVAL  { 2 }
+            ::= { igsVlanFilterEntry 16 } 
+
+      igsVlanProxyReportingSourceIP OBJECT-TYPE 
+          SYNTAX      IpAddress 
+          MAX-ACCESS  read-write 
+          STATUS      current 
+          DESCRIPTION 
+            "This indicates the IP source address of the igmp report 
+ 	        sended by the IGMP snooping proxy reporting in this VLAN."
+            ::= { igsVlanFilterEntry 17 } 
     -- VLAN Based IGMP Snooping Group 
- 
+
       igsVlanMulticastGroupTable OBJECT-TYPE 
           SYNTAX      SEQUENCE OF IgsVlanMulticastGroupEntry 
           MAX-ACCESS  not-accessible 
@@ -3636,47 +5788,6 @@
                 packets destined for this group will be forwarded."  
            ::= { igsVlanMulticastGroupEntry 4 } 
 
-      igsAccessAuthTable OBJECT-TYPE 
-          SYNTAX      SEQUENCE OF IgsAccessAuthEntry 
-          MAX-ACCESS  not-accessible 
-          STATUS      current 
-          DESCRIPTION 
-             "This table is used to manage the IGMP Authentication
-              function of the switch." 
-          ::= { igsAccessAuth 1 } 
- 
-      igsAccessAuthEntry OBJECT-TYPE 
-          SYNTAX      IgsAccessAuthEntry 
-          MAX-ACCESS  not-accessible 
-          STATUS      current 
-          DESCRIPTION 
-             "Contains management entities for IGMP Authentication
-              function." 
-          INDEX { igsAccessAuthPortIndex } 
-          ::= { igsAccessAuthTable 1 } 
- 
-      IgsAccessAuthEntry ::= SEQUENCE { 
-          igsAccessAuthPortIndex             Integer32,
-          igsAccessAuthState                 INTEGER
-      }
-           
-      igsAccessAuthPortIndex OBJECT-TYPE 
-           SYNTAX      Integer32 
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
-              "The port index of igsAccessAuthTable which 
-               indicates the port to be configured." 
-           ::= { igsAccessAuthEntry 1 } 
- 
-      igsAccessAuthState OBJECT-TYPE 
-           SYNTAX      INTEGER  { enabled(1), disabled(2) } 
-           MAX-ACCESS  read-write
-           STATUS      current 
-           DESCRIPTION 
-               "This object can be configured to set IGMP Authentication
-                state to enabled/disabled on each port." 
-           ::= { igsAccessAuthEntry 2 }
 
 -- start IGMP_SNOOPING_HOST_BASED_FAST_LEAVE
     igsHostTable OBJECT-TYPE
@@ -3725,11 +5836,12 @@
         ::= { igsHostEntry 2 } 
  
     igsHostTablePort OBJECT-TYPE 
-        SYNTAX      Integer32 (1..28) 
+        SYNTAX      Integer32 (1..28)
         MAX-ACCESS  read-only 
         STATUS      current 
         DESCRIPTION 
-            "Port number of Host table entry."
+            "Port number of Host table entry.
+            For all machines give maximum port number."
         ::= { igsHostEntry 3 }
 
     igsHostTableHostIPAddress OBJECT-TYPE 
